Bug 836456 - (CVE-2012-3370) CVE-2012-3370 JBoss: SecurityAssociation.getCredential() will return the previous credential if no security context is provided
CVE-2012-3370 JBoss: SecurityAssociation.getCredential() will return the prev...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130124,repor...
: Security
Depends On: 843316 843317 843318
Blocks: 789173 835396 842475 849517 883225
  Show dependency treegraph
 
Reported: 2012-06-29 03:05 EDT by David Jorm
Modified: 2014-10-20 20:02 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-02 20:09:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBPAPP-9388 Blocker Closed Spurious failures in org.jboss.test.jca.test.SecurityContextUnitTestCase.testCallerIdentityPropagation 2016-01-28 06:47 EST

  None (edit)
Description David Jorm 2012-06-29 03:05:53 EDT
SecurityAssociation.getCredential() will return the previous credential if no security context is provided. If a deployed application allows a user to make requests to a secured back-end resource (such as a data source or EJB) without having an existing SecurityContext, then a remote attacker could exploit this flaw to hijack the credentials of the previously authenticated user.
Comment 1 Arun Babu Neelicattu 2012-07-25 00:30:57 EDT
Bug Source: https://issues.jboss.org/browse/JBPAPP-9388
Comment 17 David Jorm 2013-01-21 22:36:43 EST
Acknowledgements:

This issue was discovered by Carlo de Wolf of Red Hat.
Comment 18 errata-xmlrpc 2013-01-24 13:09:48 EST
This issue has been addressed in following products:

  JBoss Enterprise Application Platform 5.2.0

Via RHSA-2013:0194 https://rhn.redhat.com/errata/RHSA-2013-0194.html
Comment 19 errata-xmlrpc 2013-01-24 13:32:36 EST
This issue has been addressed in following products:

  JBEAP 5 for RHEL 5

Via RHSA-2013:0192 https://rhn.redhat.com/errata/RHSA-2013-0192.html
Comment 20 errata-xmlrpc 2013-01-24 13:33:23 EST
This issue has been addressed in following products:

  JBEAP 5 for RHEL 6

Via RHSA-2013:0191 https://rhn.redhat.com/errata/RHSA-2013-0191.html
Comment 21 errata-xmlrpc 2013-01-24 13:45:39 EST
This issue has been addressed in following products:

  JBEWP 5 for RHEL 6

Via RHSA-2013:0195 https://rhn.redhat.com/errata/RHSA-2013-0195.html
Comment 22 errata-xmlrpc 2013-01-24 13:46:23 EST
This issue has been addressed in following products:

  JBEAP 5 for RHEL 4

Via RHSA-2013:0193 https://rhn.redhat.com/errata/RHSA-2013-0193.html
Comment 23 errata-xmlrpc 2013-01-24 13:58:41 EST
This issue has been addressed in following products:

  JBEWP 5 for RHEL 4

Via RHSA-2013:0197 https://rhn.redhat.com/errata/RHSA-2013-0197.html
Comment 24 errata-xmlrpc 2013-01-24 13:59:32 EST
This issue has been addressed in following products:

  JBEWP 5 for RHEL 5

Via RHSA-2013:0196 https://rhn.redhat.com/errata/RHSA-2013-0196.html
Comment 25 errata-xmlrpc 2013-01-24 14:08:36 EST
This issue has been addressed in following products:

  JBoss Enterprise Web Platform 5.2.0

Via RHSA-2013:0198 https://rhn.redhat.com/errata/RHSA-2013-0198.html
Comment 26 errata-xmlrpc 2013-01-31 15:31:34 EST
This issue has been addressed in following products:

  JBoss Enterprise BRMS Platform 5.3.1

Via RHSA-2013:0221 https://rhn.redhat.com/errata/RHSA-2013-0221.html
Comment 27 errata-xmlrpc 2013-02-20 16:44:23 EST
This issue has been addressed in following products:

  JBoss Enterprise SOA Platform 5.3.1

Via RHSA-2013:0533 https://rhn.redhat.com/errata/RHSA-2013-0533.html

Note You need to log in before you can comment on or make changes to this bug.